Upgrade deployment-prep appserver fleet to Debian Stretch (using HHVM)
Closed, ResolvedPublic

Description

Since we're testing the upgrade in production as well, by briefly pooling canaries, we should upgrade deployment-prep as well.

Since we're not using PHP5 anymore, and we have the same HHVM version in both distributions, the transition should mostly be riskless.

Joe created this task.Apr 12 2018, 11:32 AM
Joe triaged this task as Normal priority.
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptApr 12 2018, 11:32 AM

Mentioned in SAL (#wikimedia-releng) [2018-04-12T11:52:46Z] <_joe_> creating deployment-mediawiki-07, first stretch appserver T192071

Change 425821 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] deployment-prep: add deployment-mediawiki-07 to scap targets

https://gerrit.wikimedia.org/r/425821

Change 425822 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] deployment-prep: make the stretch appserver act like a canary

https://gerrit.wikimedia.org/r/425822

Change 425821 merged by Giuseppe Lavagetto:
[operations/puppet@production] deployment-prep: add deployment-mediawiki-07 to scap targets

https://gerrit.wikimedia.org/r/425821

Change 425822 merged by Giuseppe Lavagetto:
[operations/puppet@production] deployment-prep: make the stretch appserver act like a canary

https://gerrit.wikimedia.org/r/425822

Mentioned in SAL (#wikimedia-releng) [2018-04-12T14:24:58Z] <_joe_> installing deployment-mediawiki{08,09} for the beta upgrade to stretch of deployment-prep (T192071)

elukey moved this task from Backlog to Keep an eye on it on the User-Elukey board.Apr 13 2018, 7:52 AM
Joe moved this task from Backlog to Blocking others on the User-Joe board.Apr 13 2018, 8:20 AM
Joe moved this task from Blocking others to Doing on the User-Joe board.

Mentioned in SAL (#wikimedia-releng) [2018-04-13T08:20:40Z] <_joe_> creating deployment-mediawiki-09 with stretch, eliminating -08 which was left in an unusable state T192071

Change 425975 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] deployment-prep: update scap dsh lists

https://gerrit.wikimedia.org/r/425975

Change 425975 merged by Giuseppe Lavagetto:
[operations/puppet@production] deployment-prep: update scap dsh lists

https://gerrit.wikimedia.org/r/425975

Mentioned in SAL (#wikimedia-releng) [2018-04-16T12:48:40Z] <_joe_> turning off deployment-mediawiki{04,05} T192071, will be deleted by EOW

Change 426904 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] deployment-prep: switch jobrunner02/03

https://gerrit.wikimedia.org/r/426904

Change 426904 merged by Giuseppe Lavagetto:
[operations/puppet@production] deployment-prep: switch jobrunner02/03

https://gerrit.wikimedia.org/r/426904

Mentioned in SAL (#wikimedia-releng) [2018-04-16T13:13:52Z] <_joe_> also shutting down deployment-jobrunner02 T192071

Joe added a comment.Apr 16 2018, 1:23 PM

All the main servers have been substituted with stretch VMs; the only one remaining turned on is deplyment-mediawiki06 which was used for some audit. I'll resolve the task now, and permanently delete the old instances during this week.

Joe closed this task as Resolved.Apr 16 2018, 1:53 PM

Change 438001 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] deployment-prep-logstash2: replace deployment-tin server

https://gerrit.wikimedia.org/r/438001

Change 438001 merged by Andrew Bogott:
[operations/puppet@production] deployment-prep logstash: replace deployment-tin reference

https://gerrit.wikimedia.org/r/438001